Excel file download containing filtered product list
Excel file download containing filtered product list
Required permissions: PRODUCT
Token received from the auth service
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
ProductSearch model
Filter on product group UIDs
Filter on product name. Case-insensitive partial match unless exactMatch is true.
Filter on GTIN barcode. Exact match.
^[A-Za-z0-9-_]+Filter on property UIDs a product must be linked to
Filter on property option UIDs a product must be linked to
A list of productUids to search for
Do not search in variant products.
when true, only show products with allowPurchase = true
optionally filter on products that have or do not have SOA amounts
Successful response - Excel file containing filtered product list
POST /v2/tenants/{tenantUid}/products/export HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 422
{
"exactMatch": true,
"productGroupUids": [
"text"
],
"productGroupScopes": [
"SALE"
],
"query": "text",
"productName": "text",
"gtin": "text",
"supplierUid": "text",
"propertyUids": [
"text"
],
"propertyOptionUids": [
"text"
],
"productUids": [
"text"
],
"hideVariants": true,
"visibility": [
"ALWAYS_VISIBLE"
],
"includeDiscontinued": true,
"productTypes": [
"STOCK"
],
"hideNotAllowPurchase": true,
"brandUids": [
"text"
],
"productSkus": [
"text"
],
"hasSoaAmounts": true
}Successful response - Excel file containing filtered product list
binaryLast updated
Was this helpful?

